Add ability to save new rows in browse.
Status: New Start date:  
Assignee: Stanislav Lomany % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    
Description

Related issues:

Related to User Interface - Feature #2422: add features to BROWSE Closed 10/17/2014

Related to User Interface - Feature #2564: implement GUI BROWSE widget Closed

History

#1 - 07/30/2015 10:32 AM - Stanislav Lomany

Currently we can insert new rows in a browse, but not save them. Saving is combination of INSERT-ROW, ASSIGN and

CREATE-RESULT-LIST-ENTRY.

#2 - 07/30/2015 10:45 AM - Greg Shah

- Target version set to Milestone 12

#3 - 03/29/2016 08:08 AM - Stanislav Lomany

- Assignee set to Stanislav Lomany

Guys, I've reviewed the customer code and its quite complicated, so I cannot completely tell what is the cycle of saving a row there. If you have a

testcase with a browse which is supposed to save rows (and not blocked by other issues), please let me know. Otherwise I suggest to postpone this

task in order to resolve it in the most efficient way when it will be possible.

#4 - 03/29/2016 10:23 AM - Greg Shah

Are you saying that you don't have any 4GL testcase that can add rows in a browse?

#5 - 03/29/2016 10:28 AM - Stanislav Lomany

4GL testcase I have uses CREATE-RESULT-LIST-ENTRY (not implemented), while the customer app uses some other mechanics.

#6 - 03/29/2016 10:53 AM - Greg Shah

I will forward a question to the customer.  Is your question as simple as:

"When using an editable browse, how does the application insert records when there is no use of CREATE-RESULT-LIST-ENTRY?"

If I need to ask something different or in a different way, please let me know.

#7 - 03/29/2016 10:58 AM - Stanislav Lomany

When using an editable browse, how new records are saved: using some custom code with CREATE statement on ROW-LEAVE event, or some

other way? How the result set is updated in the query and the browse after that?
#8 - 04/04/2016 10:19 AM - Stanislav Lomany

CREATE-ON-ADD support must be implemented as part of the task as it directly related to the process of initiating and saving new rows.

#9 - 04/05/2016 11:17 AM - Greg Shah

- Target version deleted (Milestone 12)

- Start date deleted (07/30/2015)

The customer reports that in practice, records are not added while the browse is actively editing so this task is being deferred for now.
